| Qore ConnectionProvider Module Reference 1.5

Public Attributes | List of all members
ConnectionProvider::ConnectionSchemeInfo Struct Reference

Connection provider information. More...

## Public Attributes
Class | cls
| The connection class.
*hash< string, hash< ConnectionOptionInfo > > | options
| Connection options: name -> option info.
*string | required_options
| Required option string. More...

## Detailed Description

Connection provider information.

## Member Data Documentation

## ◆ required_options

*string ConnectionProvider::ConnectionSchemeInfo::required_options

Required option string.

format is required option names separated by commas (`","`); if there are multiple possibilities, they should be separated by pipe chars (`"|""`); ex: client_id,client_secret,tenant|token

All strings must be valid option names in options